Bug #92396

Installation via Extension Manager tries to install extension for 10 in TYPO3 9

Added by Sybille Peters 2 months ago. Updated 2 months ago.

Status:
Closed
Priority:
Should have
Assignee:
-
Category:
Extension Manager
Target version:
-
Start date:
2020-09-24
Due date:
% Done:

0%

Estimated time:
TYPO3 Version:
9
PHP Version:
Tags:
Complexity:
Is Regression:
Sprint Focus:

Description

System

  • TYPO3 9.5.21 (9 latest)

Reproduce

  1. Try to install typo3_console via extension manager.

Result

  • there is no way to select the version (didn't we used to have that?)
  • it tries to install version 6.3.3 which supports TYPO3 10 (and not 9). Even though there is a version for 9 available.
  • even if I click on Cancel, the extension is downloaded into typo3conf/ext (but not installed)

It's no problem for me because I can go via "git clone" download, but I think this should get fixed.



Files

em1.png (22.6 KB) em1.png Sybille Peters, 2020-09-24 11:39
em2.png (118 KB) em2.png Sybille Peters, 2020-09-24 11:39
em3.png (83.9 KB) em3.png Sybille Peters, 2020-09-24 16:58
#1

Updated by Sybille Peters 2 months ago

  • Description updated (diff)
#2

Updated by Hannes Strangmeier 2 months ago

You can select the desired version by clicking on the versionnumber (6.3.3 in the screenshot). At least that worked for me in a quick test :)

Besides that: showing the newest compatible version of an extension by default would imho be a nice feature (to prevent people from installing incompatible versions etc).

Downloading the extension even if you cancel the process feels like a bug to me, too.

greetings,

Hannes

#3

Updated by Sybille Peters 2 months ago

@Hannes

Thanks, that is very helpful.

In any case, it would be cool if the version that was displayed by default would support the currently installed TYPO3 version.

But, if the version can be selected, it is of course much less of a problem.

#4

Updated by Sybille Peters 2 months ago

Also, I do see the list, but I do not see the supported TYPO3 version. So I have to know, I have to go back to 5.*.* for TYPO3 9 or look it up ...

Not sure, if a separate issue should be opened for that.

#5

Updated by Georg Ringer 2 months ago

  • Status changed from New to Closed

click on the title of the extension to get the versions. IMO there are a couple of issues already there which are about showing only a compatible version, therefore I am closing this issue.

Also available in: Atom PDF